import { Settings as LayoutSettings } from '@ant-design/pro-components';

const Settings: LayoutSettings & {
  pwa?: boolean;
  logo?: string;
} = {
  navTheme: 'dark', // 主题模式
  // 拂晓蓝
  primaryColor: '#1890ff',
  layout: 'mix',
  contentWidth: 'Fluid', // 流式布局
  fixedHeader: true, // 固定顶部标签栏
  fixSiderbar: false, // 固定侧边菜单栏
  colorWeak: false,
  menu: {
    locale: false,
  },
  title: '',
  pwa: false,
  splitMenus: true,
  // logo: '/icons/image47.png',
  iconfontUrl: '',
};

export default Settings;
